# floor_4.mcfunction
# Generates a predefined floor 4 layout with a new maze, different guardians, and varied loot

# Clear the entire area
fill ~1 ~ ~1 ~50 ~6 ~50 air
fill ~1 ~ ~1 ~50 ~6 ~50 light

# Create the floor with stone bricks (1 block tall)
fill ~1 ~ ~1 ~50 ~0 ~50 mossy_cobblestone

# Define the outer walls to create the maze perimeter
fill ~1 ~ ~1 ~1 ~5 ~50 mossy_cobblestone
fill ~2 ~ ~1 ~50 ~5 ~1 mossy_cobblestone
fill ~50 ~ ~1 ~50 ~5 ~50 mossy_cobblestone
fill ~1 ~ ~50 ~50 ~5 ~50 mossy_cobblestone

# Define internal maze walls
fill ~5 ~ ~5 ~15 ~5 ~10 mossy_cobblestone
fill ~15 ~ ~10 ~20 ~5 ~20 mossy_cobblestone
fill ~20 ~ ~20 ~30 ~5 ~25 mossy_cobblestone
fill ~30 ~ ~10 ~40 ~5 ~20 mossy_cobblestone
fill ~40 ~ ~20 ~50 ~5 ~30 mossy_cobblestone

# Create openings for pathways
fill ~1 ~ ~5 ~10 ~0 ~10 air
fill ~15 ~ ~10 ~20 ~0 ~20 air
fill ~25 ~ ~20 ~30 ~0 ~25 air
fill ~35 ~ ~25 ~40 ~0 ~30 air
fill ~45 ~ ~25 ~50 ~0 ~30 air

# Add a roof with stone bricks (1 block thick)
fill ~1 ~6 ~1 ~50 ~6 ~50 mossy_cobblestone

# Add a ladder
fill ~2 ~1 ~2 ~2 ~6 ~2 ladder

# Add obstacles, enemies, or loot
summon witch ~40 ~1 ~40 {CustomName:"\"Potion Master\""}
summon creeper ~25 ~1 ~25 {CustomName:"\"Explosive Warden\""}
summon stray ~30 ~1 ~30 {CustomName:"\"Arctic Sniper\""}
setblock ~40 ~1 ~40 chest{LootTable:"minecraft:chests/end_city"}
setblock ~30 ~1 ~30 chest{LootTable:"minecraft:chests/shipwreck"}