# floor_6.mcfunction
# Generates a predefined floor 6 layout with a new maze, powerful guardians, and top-tier loot

# Clear the entire area
fill ~1 ~ ~1 ~50 ~6 ~50 air
fill ~1 ~ ~1 ~50 ~6 ~50 light

# Create the floor with stone bricks (1 block tall)
fill ~1 ~ ~1 ~50 ~0 ~50 mossy_cobblestone

# Define the outer walls to create the maze perimeter
fill ~1 ~ ~1 ~1 ~5 ~50 mossy_cobblestone
fill ~2 ~ ~1 ~50 ~5 ~1 mossy_cobblestone
fill ~50 ~ ~1 ~50 ~5 ~50 mossy_cobblestone
fill ~1 ~ ~50 ~50 ~5 ~50 mossy_cobblestone

# Define internal maze walls
fill ~5 ~ ~5 ~15 ~5 ~15 mossy_cobblestone
fill ~15 ~ ~5 ~20 ~5 ~20 mossy_cobblestone
fill ~20 ~ ~15 ~30 ~5 ~20 mossy_cobblestone
fill ~30 ~ ~10 ~35 ~5 ~25 mossy_cobblestone
fill ~35 ~ ~15 ~40 ~5 ~30 mossy_cobblestone
fill ~40 ~ ~20 ~45 ~5 ~25 mossy_cobblestone
fill ~45 ~ ~10 ~50 ~5 ~20 mossy_cobblestone

# Create openings for pathways
fill ~1 ~ ~5 ~10 ~0 ~10 air
fill ~15 ~ ~10 ~20 ~0 ~20 air
fill ~25 ~ ~15 ~30 ~0 ~20 air
fill ~35 ~ ~20 ~40 ~0 ~25 air
fill ~45 ~ ~20 ~50 ~0 ~30 air

# Add a roof with stone bricks (1 block thick)
fill ~1 ~6 ~1 ~50 ~6 ~50 mossy_cobblestone

# Add a ladder
fill ~2 ~1 ~2 ~2 ~6 ~2 ladder

# Add obstacles, enemies, or loot
summon blaze ~20 ~1 ~20 {CustomName:"\"Fire Sentinel\""}
summon pillager ~25 ~1 ~25 {CustomName:"\"Ranger Captain\""}
summon witch ~30 ~1 ~30 {CustomName:"\"Potion Crafter\""}
summon wither_skeleton ~35 ~1 ~35 {CustomName:"\"Wither Guardian\""}
summon enderman ~40 ~1 ~40 {CustomName:"\"End Warden\""}
summon elder_guardian ~45 ~1 ~45 {CustomName:"\"Elder Guardian\""}
summon illusioner ~45 ~1 ~45 {CustomName:"\"Majikku kyasutā\""}
summon illusioner ~ ~ ~ {CustomName:"\"Majikku kyasutā\"", HandItems:[{id:"minecraft:bow",Count:1b},{}]}
setblock ~20 ~1 ~20 chest{LootTable:"minecraft:chests/ancient_city"}
setblock ~30 ~1 ~30 chest{LootTable:"minecraft:chests/ancient_city"}
setblock ~40 ~1 ~40 trapped_chest{LootTable:"minecraft:chests/ancient_city"}
fill ~40 ~-1 ~40 ~35 ~-1 ~35 tnt
setblock ~50 ~1 ~50 chest{LootTable:"minecraft:chests/ancient_city"}