# make_dungeon.mcfunction

# Use a dummy entity to position each floor correctly
summon armor_stand ~ ~ ~ {Invisible:1,NoGravity:1,Marker:1}

# Set the position for each floor
execute at @e[type=armor_stand,limit=1,sort=nearest] run function dungeons:floor_1
execute at @e[type=armor_stand,limit=1,sort=nearest] run tp @e[type=armor_stand,limit=1,sort=nearest] ~ ~-6 ~
execute at @e[type=armor_stand,limit=1,sort=nearest] run function dungeons:floor_2
execute at @e[type=armor_stand,limit=1,sort=nearest] run tp @e[type=armor_stand,limit=1,sort=nearest] ~ ~-6 ~
execute at @e[type=armor_stand,limit=1,sort=nearest] run function dungeons:floor_3
execute at @e[type=armor_stand,limit=1,sort=nearest] run tp @e[type=armor_stand,limit=1,sort=nearest] ~ ~-6 ~
execute at @e[type=armor_stand,limit=1,sort=nearest] run function dungeons:floor_4
execute at @e[type=armor_stand,limit=1,sort=nearest] run tp @e[type=armor_stand,limit=1,sort=nearest] ~ ~-6 ~
execute at @e[type=armor_stand,limit=1,sort=nearest] run function dungeons:floor_5
execute at @e[type=armor_stand,limit=1,sort=nearest] run tp @e[type=armor_stand,limit=1,sort=nearest] ~ ~-6 ~
execute at @e[type=armor_stand,limit=1,sort=nearest] run function dungeons:floor_6
execute at @e[type=armor_stand,limit=1,sort=nearest] run tp @e[type=armor_stand,limit=1,sort=nearest] ~ ~-6 ~

# Remove the dummy entity after generating the dungeon
kill @e[type=armor_stand,limit=1,sort=nearest]

# Give the player iron armor, food, and weapons
give @p iron_sword
give @p iron_pickaxe
give @p iron_axe
give @p shield
give @p iron_helmet
give @p iron_chestplate
give @p iron_leggings
give @p iron_boots
give @p bread 20
give @p cooked_beef 20

# Set up countdown objective
scoreboard objectives add countdown dummy
scoreboard players set @a countdown 10

# Display initial countdown message
title @a title {"text":"Get ready...","color":"yellow"}
title @a subtitle {"text":"Dungeon will start in 10 seconds","color":"red"}

# Countdown sequence
title @a subtitle {"text":"Dungeon will start in 9 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 8 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 7 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 6 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 5 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 4 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 3 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 2 seconds","color":"red"}
title @a subtitle {"text":"Dungeon will start in 1 seconds","color":"red"}


# Wait for the countdown to finish
execute at @p run tp @p ~5 ~2 ~5