# floor_2.mcfunction
# Generates a predefined floor 2 layout with an enhanced maze and a roof

# Clear the entire area
fill ~1 ~ ~1 ~50 ~6 ~50 air
fill ~1 ~ ~1 ~50 ~6 ~50 light

# Create the floor with stone bricks (1 block tall)
fill ~1 ~ ~1 ~50 ~0 ~50 mossy_cobblestone

# Define the outer walls to create the maze perimeter
fill ~1 ~ ~1 ~1 ~5 ~50 mossy_cobblestone
fill ~2 ~ ~1 ~50 ~5 ~1 mossy_cobblestone
fill ~50 ~ ~1 ~50 ~5 ~50 mossy_cobblestone
fill ~1 ~ ~50 ~50 ~5 ~50 mossy_cobblestone

# Define internal maze walls
fill ~5 ~ ~5 ~15 ~5 ~10 mossy_cobblestone
fill ~15 ~ ~5 ~20 ~5 ~15 mossy_cobblestone
fill ~20 ~ ~10 ~30 ~5 ~15 mossy_cobblestone
fill ~30 ~ ~10 ~35 ~5 ~20 mossy_cobblestone
fill ~35 ~ ~20 ~40 ~5 ~25 mossy_cobblestone
fill ~40 ~ ~20 ~45 ~5 ~25 mossy_cobblestone
fill ~45 ~ ~10 ~50 ~5 ~20 mossy_cobblestone
fill ~5 ~ ~20 ~10 ~5 ~30 mossy_cobblestone
fill ~10 ~ ~30 ~20 ~5 ~35 mossy_cobblestone
fill ~20 ~ ~35 ~30 ~5 ~40 mossy_cobblestone
fill ~30 ~ ~35 ~40 ~5 ~45 mossy_cobblestone
fill ~40 ~ ~25 ~45 ~5 ~30 mossy_cobblestone

# Create openings for pathways (make sure they align with the walls)
fill ~1 ~ ~5 ~10 ~0 ~10 air
fill ~15 ~ ~10 ~20 ~0 ~15 air
fill ~30 ~ ~10 ~35 ~0 ~20 air
fill ~35 ~ ~20 ~40 ~0 ~25 air
fill ~45 ~ ~25 ~50 ~0 ~30 air

# Add a roof with stone bricks (1 block thick)
fill ~1 ~6 ~1 ~50 ~6 ~50 mossy_cobblestone

# Add a ladder
fill ~2 ~1 ~2 ~2 ~6 ~2 ladder

# Add obstacles, enemies, or loot
summon zombie ~25 ~1 ~25 {CustomName:"\"Floor Guardian\""}
summon zombie ~24 ~1 ~24 {CustomName:"\"Floor Guardian\""}
summon skeleton ~23 ~1 ~23 {CustomName:"\"Floor Guardian\""}
summon skeleton ~22 ~1 ~22 {CustomName:"\"Floor Guardian\""}
summon spider ~21 ~1 ~21 {CustomName:"\"Floor Guardian\""}
setblock ~23 ~1 ~23 chest{LootTable:"minecraft:chests/simple_dungeon"}
setblock ~25 ~1 ~25 chest{LootTable:"minecraft:chests/simple_dungeon"}