# floor_3.mcfunction
# Generates a predefined floor 3 layout with complex maze, different guardians, and varied loot

# Clear the entire area
fill ~1 ~ ~1 ~50 ~6 ~50 air
fill ~1 ~ ~1 ~50 ~6 ~50 light

# Create the floor with stone bricks (1 block tall)
fill ~1 ~ ~1 ~50 ~0 ~50 mossy_cobblestone

# Define the outer walls to create the maze perimeter
fill ~1 ~ ~1 ~1 ~5 ~50 mossy_cobblestone
fill ~2 ~ ~1 ~50 ~5 ~1 mossy_cobblestone
fill ~50 ~ ~1 ~50 ~5 ~50 mossy_cobblestone
fill ~1 ~ ~50 ~50 ~5 ~50 mossy_cobblestone

# Define internal maze walls
fill ~5 ~ ~5 ~20 ~5 ~10 mossy_cobblestone
fill ~20 ~ ~10 ~25 ~5 ~20 mossy_cobblestone
fill ~25 ~ ~15 ~35 ~5 ~20 mossy_cobblestone
fill ~35 ~ ~20 ~45 ~5 ~30 mossy_cobblestone
fill ~45 ~ ~10 ~50 ~5 ~25 mossy_cobblestone

# Create openings for pathways
fill ~1 ~ ~10 ~10 ~0 ~15 air
fill ~20 ~ ~15 ~25 ~0 ~25 air
fill ~35 ~ ~15 ~40 ~0 ~25 air
fill ~45 ~ ~20 ~50 ~0 ~30 air

# Add a roof with stone bricks (1 block thick)
fill ~1 ~6 ~1 ~50 ~6 ~50 mossy_cobblestone

# Add a ladder
fill ~2 ~1 ~2 ~2 ~6 ~2 ladder

# Add obstacles, enemies, or loot
summon zombie ~20 ~1 ~20 {CustomName:"\"Ancient Guardian\""}
summon husk ~25 ~1 ~25 {CustomName:"\"Desert Sentinel\""}
summon evoker ~30 ~1 ~30 {CustomName:"\"Mystic Enchanter\""}
setblock ~20 ~1 ~20 chest{LootTable:"minecraft:chests/abandoned_mineshaft"}
setblock ~30 ~1 ~30 chest{LootTable:"minecraft:chests/treasure"}